Skip to main content

List user groups

Retrieve the list of user groups in a specified community channel with pagination.

Request method

POST: https://Base URL/v4/community-channel/user-group/list

Rate limit: 100 requests per second

Signature required: All server API requests require signature verification. See API request signature.

Request body

The request body is in application/json format and supports the following parameters:

ParameterTypeRequiredDescription
channelIdStringYesThe community channel ID.
pageNumberNoPage number. Defaults to 1.
pageSizeNumberNoItems per page. Defaults to 10. Maximum 50.

Request example

HTTP
POST /v4/community-channel/user-group/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "abc",
"page": 1,
"pageSize": 10
}

Response

FieldTypeDescription
codeNumberStatus code. 0 indicates success.
result.userGroupsObject[]List of user groups.
result.userGroups[].userGroupIdStringThe user group ID.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"userGroups": [
{
"userGroupId": "roleId1"
},
{
"userGroupId": "roleId2"
}
]
}
}